package com.ruoyi.project.check.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.check.mapper.TCheckEnvironmentMapper;
import com.ruoyi.project.check.domain.TCheckEnvironment;
import com.ruoyi.project.check.service.ITCheckEnvironmentService;

/**
 * 环境本底值记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-24
 */
@Service
public class TCheckEnvironmentServiceImpl implements ITCheckEnvironmentService 
{
    @Autowired
    private TCheckEnvironmentMapper tCheckEnvironmentMapper;

    /**
     * 查询环境本底值记录
     * 
     * @param id 环境本底值记录主键
     * @return 环境本底值记录
     */
    @Override
    public TCheckEnvironment selectTCheckEnvironmentById(Long id)
    {
        return tCheckEnvironmentMapper.selectTCheckEnvironmentById(id);
    }

    /**
     * 查询环境本底值记录列表
     * 
     * @param tCheckEnvironment 环境本底值记录
     * @return 环境本底值记录
     */
    @Override
    public List<TCheckEnvironment> selectTCheckEnvironmentList(TCheckEnvironment tCheckEnvironment)
    {
        return tCheckEnvironmentMapper.selectTCheckEnvironmentList(tCheckEnvironment);
    }

    /**
     * 新增环境本底值记录
     * 
     * @param tCheckEnvironment 环境本底值记录
     * @return 结果
     */
    @Override
    public int insertTCheckEnvironment(TCheckEnvironment tCheckEnvironment)
    {
        return tCheckEnvironmentMapper.insertTCheckEnvironment(tCheckEnvironment);
    }

    /**
     * 修改环境本底值记录
     * 
     * @param tCheckEnvironment 环境本底值记录
     * @return 结果
     */
    @Override
    public int updateTCheckEnvironment(TCheckEnvironment tCheckEnvironment)
    {
        return tCheckEnvironmentMapper.updateTCheckEnvironment(tCheckEnvironment);
    }

    /**
     * 批量删除环境本底值记录
     * 
     * @param ids 需要删除的环境本底值记录主键
     * @return 结果
     */
    @Override
    public int deleteTCheckEnvironmentByIds(Long[] ids)
    {
        return tCheckEnvironmentMapper.deleteTCheckEnvironmentByIds(ids);
    }

    /**
     * 删除环境本底值记录信息
     * 
     * @param id 环境本底值记录主键
     * @return 结果
     */
    @Override
    public int deleteTCheckEnvironmentById(Long id)
    {
        return tCheckEnvironmentMapper.deleteTCheckEnvironmentById(id);
    }
}
